//template for user profile
var profile_html = dhx.Template('\
	<div class="user_profile">\
		<div class="label">Name:</div><div class="value">#name#</div>\
		<div class="label">Sex:</div><div class="value">#sex#</div>\
		<div class="label">Age:</div><div class="value">#age#</div>\
		<div class="label">City:</div><div class="value">#city#</div>\
		<div class="label">Phone:</div><div class="value">#phone#</div>\
		<div class="label">Group:</div><div class="value">#group#</div>\
		<div class="label">Driver lisense:</div><div class="value">#driver_license#</div>\
	</div>');
	
function profile_template(obj) {
	var data = dhx.copy(obj);
	
	if (obj.sex){
		data.sex = obj.sex[0].toUpperCase() + obj.sex.substr(1);
		data.group = ({
			'elementary':'Elementary',
			'preintermediate':'Pre-Intermediate',
			'intermediate':'Intermediate',
			'upperintermediate':'Upper Intermediate',
			'advanced':'Advanced'
		})[obj.group];
		if (obj.driver_lisense == "1" || obj.driver_lisense == "true")
			data.driver_license = "Yes";
		else
			data.driver_license = "No";
	}
	
	return profile_html(data);
};

/*! edit form config */
var user_edit = { view:"form", id:"user_edit", data:[
	{ type: 'text', name: 'name', label: 'Name', value: '',id:'name'},
	{ type: 'counter', id: 'age', name: 'age', label: 'Age', step: 1, inputWidth: 20, value: '25', labelWidth: 150, position: 'label-left', labelAlign: 'left', min: '0', max: '125', sameLine: true},
	{ type: 'text', name: 'city', label: 'City', value: '',id:'city'},
	{ type: 'radio', name: 'sex', id:'sex', position: 'label-left', labelWidth: 230, labelAlign: 'left',  value: 'male', sameLine: true, data:[
		{ label: 'Male', value: 'male' },
		{ label: 'Female', value: 'female' }
	]},

	{ type: 'list', id: 'group', name: 'group', label: 'Group', value: 'preintermediate', data: [
		{ id: 'elementary', value: 'Elementary' },
		{ id: 'preintermediate', value: 'Pre-Intermediate' },
		{ id: 'intermediate', value: 'Intermediate' },
		{ id: 'upperintermediate', value: 'Upper Intermediate' },
		{ id: 'advanced', value: 'Advanced' }
	]},
	{ type: 'text', name: 'phone', label: 'Phone', value: '',id:'phone'},
	{ type: 'checkbox', name: 'driver_lisense', label:"Driver lisense", labelWidth: 230, position: "label-left", labelAlign: "left", sameLine: true, id:'driver_license'},
	{ type: 'form_button', id: 'save', name: 'save', value: 'Save', width: 120, click: 'edit_save'},
	{ type: 'form_button', id: 'cancel', name: 'cancel', value: 'Cancel', width: 120, click: 'edit_cancel', sameLine:true }
]};

/*! add/edit/delete toolbar */
var user_toolbar = {
	id: 'main_toolbar',
	view: 'toolbar',
	type: 'MainBar',
	data: [
		{ type: 'icon', icon: 'delete', align: 'right', click: 'delete_user',id:'delete_user'},
		{ type: 'icon', icon: 'edit', align: 'right', click: 'edit_user', id:'edit_user'},
		{ type: 'icon', icon: 'add', align: 'right', click: 'new_user', id:'new_user'}
	]
};

/*! users list config */
var user_list = {
	view: 'layout',
	id: 'users_list_cont',
	rows: [{
		id: 'filter_toolbar', view: 'toolbar', type: 'MainBar', data: [
			{ id: 'filter_inp', type: 'text', name: 'users_filter', label: 'Filter by', value: '', position: 'label-left', inputWidth: 100, labelWidth: 0, align: 'center', onclick: "users_filter" }
		]
	},
	{ id: 'users_list', view: 'list', url: 'server/data.php', datatype: 'json', type: 'default', template: "#name#", select: true, click: 'load_details' }
]};


//config for big screen
var pad_config = {
	view: 'layout',
	type: 'wide',
	cols: [
		user_list, {
		view: 'layout',
		rows: [
			user_toolbar,
			{
			view:"tabbar", cells:[
				{ id:"user_view", view:"template", template: profile_template },
				user_edit
			]}
		]
	}
]};


//config for small screen
var phone_config = {
	view: 'tabbar',
	cells: [
		user_list,
		{ id: "user_view_cont", view: "layout", rows: [
			user_toolbar,
			{ id:"user_view", view:"template", template: profile_template },
			{
				id: 'back_toolbar',
				view: 'toolbar',
				type: 'SubBar',
				data: [
					{ type: 'button', label: 'Back', align: 'right', click: 'users_list', id:'back'}
				]
			}
		]},
		user_edit
	]
}